package cokr.xit.fims.mngt.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Component;

import cokr.xit.fims.mngt.Schdl;
import cokr.xit.fims.mngt.SchdlQuery;
import cokr.xit.fims.mngt.dao.SchdlMapper;
import cokr.xit.foundation.component.AbstractBean;
import cokr.xit.foundation.data.DataObject;

/** 일정관리 Bean
 * @author leebj
 */
@Component("schdlBean")
public class SchdlBean extends AbstractBean {

	@Resource(name="schdlMapper")
	private SchdlMapper schdlMapper;

	/**지정한 조건에 따라 일정관리 목록을 조회하여 반환한다.
	 * @param req 일정관리 조회 조건
	 * @return 일정관리 목록
	 */
	public List<DataObject> getSchdlList(SchdlQuery req) {
		return schdlMapper.selectSchdlList(req);
	}

	/**지정한 조건에 따라 일정관리 객체를 반환한다.
	 * @param schdlId 일정관리 ID
	 * @return 일정관리 객체
	 */
	public DataObject getSchdlInfo(String schdlId) {
		return schdlMapper.selectSchdlInfo(schdlId);
	}

	/**일정관리 정보를 등록한다.
	 * @param schdl 일정관리
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean create(Schdl schdl) {
		return schdlMapper.insert(schdl);
	}

	/**일정관리 정보를 수정한다.
	 * @param schdl 일정관리
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean update(Schdl schdl) {
		return schdlMapper.update(schdl);
	}

	/**일정관리 정보를 삭제한다.
	 * @param schdl 일정관리
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean remove(Schdl schdl) {
		return schdlMapper.delete(schdl);
	}

}
